r2347 - jhalfs/branches/experimental

manuel at linuxfromscratch.org manuel at linuxfromscratch.org
Thu Mar 16 10:50:01 PST 2006


Author: manuel
Date: 2006-03-16 11:50:00 -0700 (Thu, 16 Mar 2006)
New Revision: 2347

Modified:
   jhalfs/branches/experimental/master.sh
Log:
Addapted command line switches to current -T behavoir.

Modified: jhalfs/branches/experimental/master.sh
===================================================================
--- jhalfs/branches/experimental/master.sh	2006-03-16 18:46:58 UTC (rev 2346)
+++ jhalfs/branches/experimental/master.sh	2006-03-16 18:50:00 UTC (rev 2347)
@@ -124,9 +124,9 @@
           echo "For stable 6.1.1 book, please use jhalfs-0.2."
           exit 0
           ;;
-	alpha*)
-	  LFSVRS=alphabetical
-	  ;;
+        alpha*)
+          LFSVRS=alphabetical
+          ;;
         * )
           echo "$1 is an unsupported version at this time."
           exit 1
@@ -166,10 +166,23 @@
       fi
       ;;
 
-    --testsuites | -T )		TEST=1    ;;
+    --testsuites | -T )
+      test $# = 1 && eval "$exit_missing_arg"
+      shift
+      case $1 in
+        0 | 1 | 2 | 3 )
+          TEST=$1
+          ;;
+        * )
+          echo -e "\n$1 isn't a valid testsuites level value."
+          echo -e "You must to use 0, 1, 2, or 3.\n"
+          exit 1
+          ;;
+      esac
+      ;;
+
     --get-packages | -P )	HPKG=1    ;;
     --run-make | -M )		RUNMAKE=1 ;;
-    --no-toolchain-test )	TOOLCHAINTEST=0 ;;
     --no-strip )	STRIP=0   ;;
     --no-vim-lang )	VIMLANG=0 ;;
 




More information about the alfs-log mailing list